import React, { useEffect, useState } from 'react';
import Keycloak from './keycloak.ts';

const App: React.FC = () => {
  const [keycloakInitialized, setKeycloakInitialized] = useState(false);

  useEffect(() => {
    Keycloak.init({ onLoad: 'login-required' })
      .then(authenticated => {
        if (authenticated) {
          console.log('Authenticated', Keycloak.token);
        }
        setKeycloakInitialized(true);
      })
      .catch(err => {
        console.error('Failed to initialize Keycloak', err);
      });
  }, []);

  if (!keycloakInitialized) {
    return <div>Loading...</div>;
  }

  return <div>Your App Content</div>;
};

export default App;